<?php

namespace Litepie\Material\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MeetingTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Material\Models\Meeting $meeting)
    {
        return [
            'id'                => $meeting->getRouteKey(),
            'key'               => [
                'public'    => $meeting->getPublicKey(),
                'route'     => $meeting->getRouteKey(),
            ], 
            'name'              => $meeting->name,
            'parent_id'         => $meeting->parent_id,
            'contacts_id'       => $meeting->contacts_id,
            'start_date'        => $meeting->start_date,
            'duration'          => $meeting->duration,
            'assigned_to'       => $meeting->assigned_to,
            'attendes'          => $meeting->attendes,
            'reminders'         => $meeting->reminders,
            'shedule_time'      => $meeting->shedule_time,
            'description'       => $meeting->description,
            'deleted_at'        => $meeting->deleted_at,
            'url'               => [
                'public'    => trans_url('material/'.$meeting->getPublicKey()),
                'user'      => guard_url('material/meeting/'.$meeting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$meeting->status),
            'created_at'        => format_date($meeting->created_at),
            'updated_at'        => format_date($meeting->updated_at),
        ];
    }
}